package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.ChangeConfirmationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraChangeConfirmationDO;
import java.util.List;

public interface ElderlyExtraChangeConfirmationService {
    Long create(ElderlyExtraChangeConfirmationDO createReqVO);
    void update(ElderlyExtraChangeConfirmationDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraChangeConfirmationDO> findPage(ChangeConfirmationPageReqVO reqVO);
    ElderlyExtraChangeConfirmationDO getDetail(Long id);
    List<ElderlyExtraChangeConfirmationDO> getListByElderId(Long elderId);
}
